Page MenuHome GnuPG

Dependency of libexpat-1.dll
Open, LowPublic

Description

When installing Gpg4win + Kleopatra the libexpat-1.dll will also be installed although it is not necessary. The dependencies should be updated so the dll will only be installed when users choose to install GPA.

Event Timeline

cklassen created this task.
cklassen created this object in space S1 Public.

I think this is because we install pinentry-gtk, too. So we have that GTK dependency.

Maybe we should just drop pinentry-gtk and see if someone complains. The fallback pinentry we have is the pinentry-w32 that comes with gnupg.

A simple first step would be to install pinentry-gtk only in the GPA variant.